libthai: thai/thrend.h File Reference

# thai/thrend.h File Reference

Thai string rendering. More...

## Defines
#define | TH_BLANK_BASE_GLYPH 0xdd
| Blank base glyph, for floating upper/lower vowel.
## Typedefs
typedef unsigned char | thglyph_t
| Glyph code type.
## Functions
int | th_render_cell_tis (struct thcell_t cell, thglyph_t res[], size_t res_sz, int is_decomp_am)
| Render the given cell using TIS-620 glyph set.
int | th_render_cell_win (struct thcell_t cell, thglyph_t res[], size_t res_sz, int is_decomp_am)
| Render the given cell using Thai Windows glyph set.
int | th_render_cell_mac (struct thcell_t cell, thglyph_t res[], size_t res_sz, int is_decomp_am)
| Render the given cell using Mac Thai glyph set.
int | th_render_text_tis (const thchar_t *s, thglyph_t res[], size_t res_sz, int is_decomp_am)
| Render the given text using TIS-620 glyph set.
int | th_render_text_win (const thchar_t *s, thglyph_t res[], size_t res_sz, int is_decomp_am)
| Render the given text using Thai Windows glyph set.
int | th_render_text_mac (const thchar_t *s, thglyph_t res[], size_t res_sz, int is_decomp_am)
| Render the given text using Mac Thai glyph set.

## Detailed Description

Thai string rendering.

## Function Documentation

int th_render_cell_mac | ( | struct thcell_t | cell,
|  | thglyph_t | res[],
|  | size_t | res_sz,
|  | int | is_decomp_am |
| ) |  |  |

Render the given cell using Mac Thai glyph set.

Parameters:

  | cell | : the cell to render
  | res | : the buffer for storing output glyph string
  | res_sz | : the size of res buffer
  | is_decomp_am | : whether SARA AM is to be decomposed into NIKHANIT and SARA AA and to be in separate cells

Returns:
  total number of glyphs written to res[]

Calculates glyphs from Mac Thai glyph set for the given cell, and store the glyph string in res, terminated with '\0'. If resulting glyphs are longer than the provided buffer, only the first res_sz glyphs are stored.

int th_render_cell_tis | ( | struct thcell_t | cell,
|  | thglyph_t | res[],
|  | size_t | res_sz,
|  | int | is_decomp_am |
| ) |  |  |

Render the given cell using TIS-620 glyph set.

Parameters:

  | cell | : the cell to render
  | res | : the buffer for storing output glyph string
  | res_sz | : the size of res buffer
  | is_decomp_am | : whether SARA AM is to be decomposed into NIKHANIT and SARA AA and to be in separate cells

Returns:
  total number of glyphs written to res[]

Calculates glyphs from TIS-620 glyph set for the given cell, and store the glyph string in res, terminated with '\0'. If resulting glyphs are longer than the provided buffer, only the first res_sz glyphs are stored.

int th_render_cell_win | ( | struct thcell_t | cell,
|  | thglyph_t | res[],
|  | size_t | res_sz,
|  | int | is_decomp_am |
| ) |  |  |

Render the given cell using Thai Windows glyph set.

Parameters:

  | cell | : the cell to render
  | res | : the buffer for storing output glyph string
  | res_sz | : the size of res buffer
  | is_decomp_am | : whether SARA AM is to be decomposed into NIKHANIT and SARA AA and to be in separate cells

Returns:
  total number of glyphs written to res[]

Calculates glyphs from Thai Windows glyph set for the given cell, and store the glyph string in res, terminated with '\0'. If resulting glyphs are longer than the provided buffer, only the first res_sz glyphs are stored.

int th_render_text_mac | ( | const thchar_t * | s,
|  | thglyph_t | res[],
|  | size_t | res_sz,
|  | int | is_decomp_am |
| ) |  |  |

Render the given text using Mac Thai glyph set.

Parameters:

  | s | : the string to render
  | res | : the buffer for storing output glyph string
  | res_sz | : the size of res buffer
  | is_decomp_am | : whether SARA AM is to be decomposed into NIKHANIT and SARA AA and to be in separate cells

Returns:
  total number of glyphs written to res[]

Calculates glyphs from Mac Thai glyph set for the given string s, and store the glyph string in res, terminated with '\0'. If resulting glyphs are longer than the provided buffer, only the first res_sz glyphs are stored.

int th_render_text_tis | ( | const thchar_t * | s,
|  | thglyph_t | res[],
|  | size_t | res_sz,
|  | int | is_decomp_am |
| ) |  |  |

Render the given text using TIS-620 glyph set.

Parameters:

  | s | : the string to render
  | res | : the buffer for storing output glyph string
  | res_sz | : the size of res buffer
  | is_decomp_am | : whether SARA AM is to be decomposed into NIKHANIT and SARA AA and to be in separate cells

Returns:
  total number of glyphs written to res[]

Calculates glyphs from TIS-620 glyph set for the given string s, and store the glyph string in res, terminated with '\0'. If resulting glyphs are longer than the provided buffer, only the first res_sz glyphs are stored.

int th_render_text_win | ( | const thchar_t * | s,
|  | thglyph_t | res[],
|  | size_t | res_sz,
|  | int | is_decomp_am |
| ) |  |  |

Render the given text using Thai Windows glyph set.

Parameters:

  | s | : the string to render
  | res | : the buffer for storing output glyph string
  | res_sz | : the size of res buffer
  | is_decomp_am | : whether SARA AM is to be decomposed into NIKHANIT and SARA AA and to be in separate cells

Returns:
  total number of glyphs written to res[]

Calculates glyphs from Thai Windows glyph set for the given string s, and store the glyph string in res, terminated with '\0'. If resulting glyphs are longer than the provided buffer, only the first res_sz glyphs are stored.